function in = resetEnvironment(in)
% Reset of the Simulink environment and definition of initial values

state0 = struct();

state0.isDoingA = 0; % Task assigned to the robot-agent (normally 0)
state0.isDoingB = 0; % Task assigned to the human-agent (normally 0)
state0.timeA = [9,7,0,2,4,10,2]; % Time for each task for the robot
state0.timeB = [10,8,10,0,2,3,4]; % Time for each task for the human
state0.erg = [10,11,2,0,4,1,5]; % Ergonomic stress level for each task for the human

% Dependencies of each the tasks to meet sequence constraints (0 or 1)
state0.dependencies(1,:) = [0,0,0,0,0,0,0];
state0.dependencies(2,:) = [0,0,0,0,0,0,0];
state0.dependencies(3,:) = [0,0,0,0,0,0,0];
state0.dependencies(4,:) = [1,1,0,0,0,0,0];
state0.dependencies(5,:) = [0,0,1,0,0,0,0];
state0.dependencies(6,:) = [1,1,0,1,0,0,0];
state0.dependencies(7,:) = [1,1,1,1,1,1,0];

for i = 1:length(state0.timeA)
    if state0.timeA(i) ~= 0
        state0.timeA(i) = state0.timeA(i)-1;
    end
    if state0.timeB(i) ~= 0
        state0.timeB(i) = state0.timeB(i)-1;
    end
end

in = setVariable(in,'state0',state0);

end